Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci.pattern
Interface SciPatternProperty

public interface SciPatternProperty

Contains predefined names of pattern properties.

Author:
  TogetherSoft

Field Summary
`final static String` | `CONTAINER` A value of this property is `SciContainer` where the output element will be contained.
`final static String` | `ELEMENT` A value of this property is `SciElement` the pattern will work with.
`final static String` | `ELEMENTS` Values of this property are `SciElement`'s the pattern will work with.
`final static String` | `HIDE_IN_CHOOSE_LIST`
`final static String` | `LINK_DESTINATION_CLASS` A value of this property is `SciClass` being a destination class for a link this pattern works with.
`final static String` | `LINK_SOURCE_CLASS` A value of this property is `SciClass` being a source class for a link this pattern works with.
`final static String` | `PATTERN_CATEGORY` A value of this property is a string with the name of the kind of object this pattern is intended to work with.
`final static String` | `PATTERN_DESCRIPTION` A value of this property is a string with a description of this pattern.
`final static String` | `PATTERN_DISPLAY_NAME` A value of this property is a string with the name which will be displayed in wizards and other dialogs as a name of this pattern.
`final static String` | `PATTERN_LANGUAGE` A value of this property is a name of a programming language this pattern is intended to work with.
`final static String` | `PATTERN_NAME` A value of this property is a string with the name of this pattern.
`final static String` | `PATTERN_UI`
`final static String` | `RESULT_ELEMENT` A value of this property is the result of applying this pattern - `SciElement` object.
`final static String` | `RESULT_ELEMENTS` Values of this property are the result of applying this pattern - `SciElement`'s object.
`final static String` | `TITLE`

Field Detail

### CONTAINER

    public final static String CONTAINER

  A value of this property is `SciContainer` where the output element will be contained. Cannot be `null`.

### ELEMENT

    public final static String ELEMENT

  A value of this property is `SciElement` the pattern will work with. If it is `null`, then the pattern will create new element.

### ELEMENTS

    public final static String ELEMENTS

  Values of this property are `SciElement`'s the pattern will work with.

### HIDE_IN_CHOOSE_LIST

    public final static String HIDE_IN_CHOOSE_LIST

### LINK_DESTINATION_CLASS

    public final static String LINK_DESTINATION_CLASS

  A value of this property is `SciClass` being a destination class for a link this pattern works with. Only patterns with `SciPatternCategory.LINK_CATEGORY` value of `PATTERN_CATEGORY` property have this property.

### LINK_SOURCE_CLASS

    public final static String LINK_SOURCE_CLASS

  A value of this property is `SciClass` being a source class for a link this pattern works with. Only patterns with `SciPatternCategory.LINK_CATEGORY` value of `PATTERN_CATEGORY` property have this property.

### PATTERN_CATEGORY

    public final static String PATTERN_CATEGORY

  A value of this property is a string with the name of the kind of object this pattern is intended to work with. The predefined kinds in `SciPatternCategory` interface.

  Important: the value of this property should not be changed, since it is automatically set at the start up.

  See Also:
    SciPatternCategory

### PATTERN_DESCRIPTION

    public final static String PATTERN_DESCRIPTION

  A value of this property is a string with a description of this pattern.

### PATTERN_DISPLAY_NAME

    public final static String PATTERN_DISPLAY_NAME

  A value of this property is a string with the name which will be displayed in wizards and other dialogs as a name of this pattern.

### PATTERN_LANGUAGE

    public final static String PATTERN_LANGUAGE

  A value of this property is a name of a programming language this pattern is intended to work with. The predefined language names are in `SciLanguage` interface.

  See Also:
    SciLanguage

### PATTERN_NAME

    public final static String PATTERN_NAME

  A value of this property is a string with the name of this pattern.

  Important: the value of this property should not be changed, since it is automatically set at the start up.

### PATTERN_UI

    public final static String PATTERN_UI

### RESULT_ELEMENT

    public final static String RESULT_ELEMENT

  A value of this property is the result of applying this pattern - `SciElement` object.

### RESULT_ELEMENTS

    public final static String RESULT_ELEMENTS

  Values of this property are the result of applying this pattern - `SciElement`'s object.

### TITLE

    public final static String TITLE

Association Links

to Class java.lang.String

  A value of this property is a name of a programming language this pattern is intended to work with. The predefined language names are in `SciLanguage` interface.

  see com.togethersoft.openapi.sci.SciLanguage

to Class java.lang.String

  A value of this property is a string with the name of the kind of object this pattern is intended to work with. The predefined kinds in `SciPatternCategory` interface.

  Important: the value of this property should not be changed, since it is automatically set at the start up.

  see SciPatternCategory

to Class java.lang.String

  A value of this property is a string with the name of this pattern.

  Important: the value of this property should not be changed, since it is automatically set at the start up.

to Class java.lang.String

  A value of this property is a string with the name which will be displayed in wizards and other dialogs as a name of this pattern.

to Class java.lang.String

  A value of this property is a string with a description of this pattern.

to Class java.lang.String

  A value of this property is `SciContainer` where the output element will be contained. Cannot be `null`.

to Class java.lang.String

  A value of this property is `SciElement` the pattern will work with. If it is `null`, then the pattern will create new element.

to Class java.lang.String

  Values of this property are `SciElement`'s the pattern will work with.

to Class java.lang.String

  A value of this property is `SciClass` being a source class for a link this pattern works with. Only patterns with `SciPatternCategory.LINK_CATEGORY` value of `PATTERN_CATEGORY` property have this property.

to Class java.lang.String

  A value of this property is `SciClass` being a destination class for a link this pattern works with. Only patterns with `SciPatternCategory.LINK_CATEGORY` value of `PATTERN_CATEGORY` property have this property.

to Class java.lang.String

  A value of this property is the result of applying this pattern - `SciElement` object.

to Class java.lang.String

  Values of this property are the result of applying this pattern - `SciElement`'s object.

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD